<?php

namespace App\Http\Controllers;

use App\Category;
use App\Post;
use App\Page;

use Session;
use URL;
use Auth;


use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;

class ContentController extends Controller
{
 	public function procesContent(Request $request, $pageSlug)
    {

        // proveri da li postoji kategorija sa SLUGom
        $category = Category::where('slug',$pageSlug)->first();

        if ($category):


            // page META data ------------------------------------------------------------------ //
            $metaTitle = $category->name;
            $metaDescription = $category->meta_description;
            $metaKeywords = $category->meta_keywords;
            // page META data ------------------------------------------------------------------ //

            // OG tagovi ----------------------------------------------------------------------- //
            $ogType = 'website';
            $ogURL = $ogURL = URL::to('/').'/'.$pageSlug;
            $ogImage = null;

            if ($category->cat_image != null):
                $ogImage = $category->cat_image;
            endif;
            // OG tagovi ----------------------------------------------------------------------- //


			$posts = new Post;

			switch ($category->id) {
				case 106: // BLOG
					
					$tmpl = 'blog';

					//Content
					$blog = Post::where('category_id',$category->id)
										->where('status','PUBLISHED')
										->orderBy('created_at','DESC')
										->paginate(12);

					return view('content.'.$tmpl, compact('category','blog',
                                                            'metaTitle','metaDescription','metaKeywords',
                                                            'ogType','ogURL','ogImage'));

					break;
				
				default:

					$tmpl = 'category';

					return view('content.'.$tmpl, compact('category','posts',
                                                            'metaTitle','metaDescription','metaKeywords',
                                                            'ogType','ogURL','ogImage'));

					break;
			}

        	

        	
        endif;

        $slug_arr = explode('/', $pageSlug);

        $pageSlugKey = array_key_last($slug_arr);


        $category = Category::where('slug',$slug_arr[$pageSlugKey])->first();


        if ($category):

            $page = Post::where('slug',$slug_arr[$pageSlugKey])->first();

        else:

            // prvo proveravam da li postoji POST
            $page = Post::where('slug',$slug_arr[$pageSlugKey])->first();

            if (!$page):

                // ako ne postoji post, uzimamm PAGE
                $page = Page::where('slug',$slug_arr[$pageSlugKey])->first();

            endif;


        endif;


        if ($page):

            // page META data ------------------------------------------------------------------ //
            $metaTitle = $page->title;
            $metaDescription = $page->meta_description;
            $metaKeywords = $page->meta_keywords;
            // page META data ------------------------------------------------------------------ //

            // OG tagovi ----------------------------------------------------------------------- //
            $ogType = 'article';
            $ogURL = $ogURL = URL::to('/').'/'.$pageSlug;
            $ogImage = null;

            if ($page->image != null):
                $ogImage = $page->image;
            endif;
            // OG tagovi ----------------------------------------------------------------------- //

            switch ($page->id) {

                case 6:
                    $tmpl = 'kontakt';
                    break;

                case 9:
                    $tmpl = 'prijava_registracija';
                    break;

                case 10:
                    $tmpl = 'lista_dobitnika';
                    break;

                default:
                    $tmpl = 'static';
                    break;
            }

            return view('content.'.$tmpl, compact('page',
                                                'metaTitle','metaDescription','metaKeywords',
                                                'ogType','ogURL','ogImage'));
        else:
            return abort(404);
        endif;

    }


 	public function usluga(Request $request)
    {

    	$postDATA = Post::where('id',request('contentID'))->first();

    	$html = '';

        $html .= '<img src="/storage/'.$postDATA->image.'" alt="'.$postDATA->title.'" class="img-fluid">';
        $html .= '<h4>'.$postDATA->title.'</h4>';
        $html .= '<div>'.$postDATA->body.'</div>';

    	return $html;
    }
}
