<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class EditorController extends Controller
{
    public function index()
    {
        return view('editor');
    }

    public function store(Request $request)
    {
        $content = $request->input('content');
        
        // Save the content to the database or handle as needed.
        // Example:
        // DB::table('articles')->insert(['content' => $content]);

        return redirect()->back()->with('success', 'Content saved successfully!');
    }

    public function uploadImage(Request $request)
    {
        $request->validate([
            'file' => 'required|image|mimes:jpeg,png,jpg,gif',
        ]);

        $file = $request->file('file');
        $path = $file->store('images', 'public'); // Store in the 'public/images' directory

        return response()->json([
            'location' => asset("storage/{$path}"),
        ]);
    }
}
