<?php

namespace App\Http\Controllers;

use Session;
use URL;
use Auth;

use App\Page;
use App\MyApplications;
use App\Submission;

use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;

class MyApplicationsController extends Controller
{
    public function showApplications()
    {

        $pageID = 12;

        $page = Page::find($pageID);

        // page META data ------------------------------------------------------------------ //
        $metaTitle = $page->title;
        $metaDescription = $page->meta_description;
        $metaKeywords = $page->meta_keywords;
        // page META data ------------------------------------------------------------------ //

        // OG tagovi ----------------------------------------------------------------------- //
        $ogType = 'article';
        $ogURL = URL::to('/').'/'.$page->slug;
        $ogImage = null;

        if ($page->image != null):
            $ogImage = $page->image;
        endif;
        // OG tagovi ----------------------------------------------------------------------- //

        $submissionStatuses = Submission::submissionStatus();

        $user = Auth::user();

        $myApplications = MyApplications::where('user_id',$user->id)->orderBy('created_at','DESC')->get();

        return view('auth.my_applications', compact('page','myApplications','submissionStatuses',
                                                        'metaTitle','metaDescription','metaKeywords',
                                                        'ogType','ogURL','ogImage'));
    }
}
