<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

use DB;

class Module extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'modules';

    /**
     * The attributes that are mass assignable.
     *	
     * @var array
     */
    protected $fillable = [
        'theme_position_id', 'post_id', 'page_id', 'category_id', 'menu_id', 'title', 'body', 'module_image', 'module_url', 'module_url_target', 'module_anchor', 'back_color', 'back_image', 'file_upload', 'status', 'module_order'
    ];


    public static function modulesByPositionID($tp)
    {
        $modules = Module::where('theme_position_id',$tp)
                            ->where('status',1)
                            ->orderBy('module_order','ASC')
                            ->get();
        
        return $modules;
    }


    // relatioships
    public function page()
    {
        return $this->hasOne('App\Page','id','page_id');
    }
    public function post()
    {
        return $this->hasOne('App\Post','id','post_id');
    }
    public function category()
    {
        return $this->hasOne('App\Category','id','category_id');
    }
    public function themePosition()
    {
        return $this->hasOne('App\ThemePosition','id','theme_position_id');
    }
}
