<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use DB;

class ResultsByPoints extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'submissions';


    public static function resultsByWeek($startDate,$endDate)
    {

        $search_date_from = date('Y-m-d', strtotime($startDate));
        $search_date_to = date('Y-m-d', strtotime($endDate));
        // $search_date_to = date('Y-m-d', strtotime($endDate. ' +1 day'));

        $result = DB::table('submissions as s')
                        ->join('users as u', function($u){
                            $u->on('s.user_id','u.id');
                        })
                        ->where('status',1)
                        ->where('s.created_at','>=',$search_date_from)
                        ->where('s.created_at','<=',$search_date_to)
                        ->select(
                            's.user_id',
                            'u.name',
                            'u.last_name',
                            'u.phone',
                            'u.email',
                            DB::raw('SUM(points) as points')
                        )
                        ->groupBy('s.user_id','u.name','u.last_name','u.phone','u.email')
                        ->orderBy('points','DESC')
                        ->get();

        return $result;
    }
}
