/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

require('bootstrap-colorpicker');
require('jquery-datetimepicker');
require('lightbox2');


import * as mdb from 'mdb-ui-kit'; // lib
import { Input } from 'mdb-ui-kit'; // module


window.Vue = require('vue');

/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */

// const files = require.context('./', true, /\.vue$/i)
// files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default))

Vue.component('example-component', require('./components/ExampleComponent.vue').default);

Vue.component('tinymce', require('./components/TinyMCE.vue').default);
Vue.component('color_picker', require('./components/ColorPicker.vue').default);

Vue.component('btn_toggle_nav', require('./components/buttons/BTNToggleNav.vue').default);
Vue.component('btn_modal_delete', require('./components/buttons/BTNModalDelete.vue').default);
Vue.component('btn_modal_delete_submit', require('./components/buttons/BTNModalDeleteSubmit.vue').default);
Vue.component('btn-user-nav', require('./components/buttons/BTNUserNav.vue').default);
Vue.component('btn_modal_info', require('./components/buttons/BTNModalInfo.vue').default);

Vue.component('btn_modal_update_group_item', require('./components/buttons/BTNModalUpdateGroupItem.vue').default);

Vue.component('btn_modal_update_submission', require('./components/buttons/BTNModalUpdateSubmission.vue').default);
Vue.component('btn_modal_delete_submission', require('./components/buttons/BTNModalDeleteSubmission.vue').default);
Vue.component('btn_modal_update_submission_submit', require('./components/buttons/BTNModalUpdateSubmissionSubmit.vue').default);
Vue.component('btn_modal_export_submission_submit', require('./components/buttons/BTNModalExportSubmissionSubmit.vue').default);

Vue.component('btn_hamburger', require('./components/buttons/BTNHamburger.vue').default);

Vue.component('field_datetime_picker', require('./components/DateTimePicker.vue').default);

Vue.component('form_contact', require('./components/ContactForm.vue').default);
Vue.component('form_send_submission', require('./components/SendSubmission.vue').default);
Vue.component('form_accordion', require('./components/AccordionForm.vue').default);

/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

const app = new Vue({
    el: '#app',
});
