@extends('includes.master')

@section('content')

@include('includes.header')

<main class="home">

    @if ($m_hero)
        
        <div class="hero-wrap max-width">

            <div class="hero">

                @foreach ($m_hero as $hero)

                <div id="hero-one-{{ $hero->id }}"
                    class="hero-one" 
                    @if ($hero->back_image != '')
                    style="background-image: url('storage/modules/{{ $hero->back_image }}');"
                    @endif
                    >

                    @if ($hero->module_image != '')
                        <img class="img-fluid" src="/storage/modules/{{ $hero->module_image }}">
                    @endif

                    @if ($hero->body != '')
                        <div class="text">{!! $hero->body !!}</div>
                    @endif

                </div>

                @endforeach

            </div>

        </div>

    @endif

    @if ($m_awards)

        @foreach ($m_awards as $award)

            @php
                $awards = \App\Post::where('category_id',$award->category_id)->take($award->no_of_posts)->get();
            @endphp

            <div class="awards-wrap max-width">

                @if ($awards)

                    <div class="awards">

                        @foreach ($awards as $award_item)

                            <div class="award-one">

                                <div class="image img-fluid"><img src="storage/posts/{{ $award_item->post_image }}" alt=""></div>
                                <h3>{{ $award_item->title }}</h3>

                            </div>
                            
                        @endforeach


                    </div>

                @endif

                <div class="award-note">{!! $award->body !!}</div>

            </div>
            
        @endforeach

    @endif


    @if ($m_steps)

        @foreach ($m_steps as $step)

            <div class="title-wrap max-width">
                <div class="title-line"></div>
                <h2>{{ $step->title }}</h2>
            </div>

            @php
                $steps = \App\Post::where('category_id',$step->category_id)->take($step->no_of_posts)->get();
            @endphp

            <div class="steps-wrap max-width">

                @if ($steps)

                    <div class="steps">

                        @php
                        $sCNT = 1;    
                        @endphp

                        @foreach ($steps as $step_item)

                            <div class="step-one">

                                <div class="image"><img src="storage/posts/{{ $step_item->post_image }}" alt=""></div>
                                <div class="text">{!! $step_item->excerpt !!}</div>
                                <div class="cnt">{{ $sCNT }}</div>

                            </div>

                            @php
                            $sCNT++;
                            @endphp
                            
                        @endforeach


                    </div>

                @endif

            </div>
            
        @endforeach

    @endif


    @if ($m_shops)
        
        @foreach ($m_shops as $shop)

        <div class="shop-wrap max-width">

            <div class="shop">

                <div class="hr-line"></div>

                <h3>{{ $shop->title }}</h3>
                <div class="text">{!! $shop->body !!}</div>

            </div>

        </div>

        @endforeach

    @endif

    @if ($m_contest)
        
        @foreach ($m_contest as $contest)

            <div class="contest-wrap">

                <div class="contest">

                    <div class="text">{!! $contest->body !!}</div>

                    @guest
                        <a class="btn-white" href="/prijava-registracija">@lang('site.title_login_register')</a>
                    @endguest

                    @auth
                        @if(setting('competition.submission_entry') == 1)
                            <a class="btn-white" href="/posalji-racun">@lang('site.title_send_receipt')</a>
                        @endif
                    @endauth

                    <div class="courve"><img src="/images/site/top-curve.png"></div>
                </div>
                

            </div>

        @endforeach

    @endif


</main>

@include('includes.footer')

@endsection