@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-12">

            {!! Form::model($module, ['method' => 'PATCH','route' => ['modules.update', $module->id],'enctype'=>'multipart/form-data']) !!}

            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control required" name="title" value="{{ $module->title }}" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_title')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_body'):</label>
                                        <textarea id="body" name="body">{!! $module->body !!}</textarea>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">

                            <div class="row">
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4 ml-4">
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" role="switch" id="postStatus" name="status" value="1" {{ ($module->status == 1)? 'checked':'' }} />
                                                <label class="form-check-label" for="postStatus">@lang('dashboard.title_status')</label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <div class="form-outline">
                                                <input type="text" id="formControlDefault" class="form-control" name="module_order" value="{{ $module->module_order }}" />
                                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_display_order')</label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold required">@lang('dashboard.title_theme_positions')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_theme_positions')" name="theme_position_id">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($themePositions as $position)
                                            <option value="{{ $position->id }}" {{ ($module->theme_position_id == $position->id)? 'selected':'' }}>{{ $position->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="moduleANCHOR" class="form-control" name="module_anchor" placeholder="enter value without #"  value="{{ $module->module_anchor }}" />
                                        <label class="form-label" for="moduleANCHOR">@lang('dashboard.title_module_anchor')</label>
                                    </div>
                                </div>
                            </div>

                            @php
                            $categoryDATA->parent_id = $module->category_id;
                            @endphp
                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold">@lang('dashboard.title_categories')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_categories')" name="category_id" onchange="getPostsForCat()">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($categories_SEL as $category)
                                            @if ($category->parent_id == null)
                                            <option value="{{ $category->id }}" {{ ($category['active'] == '0')? 'disabled':'' }} {{ ($categoryDATA->parent_id == $category->id )? 'selected':'' }}>{{ $category->name }}</option>
                                            @endif
                                            @foreach ($category->childrenCategories as $childCategory)
                                                @include(
                                                    'categories.child_category',
                                                    [
                                                        'child_category' => $childCategory,
                                                        'parent_url' => $category->slug,
                                                        'before' => '-',
                                                        'selected_cat' => $categoriesForAttribute
                                                    ]
                                                    )
                                            @endforeach
                                        @endforeach
                                    </select>
                                    <div class="form-helper">* Choose specific <strong>post</strong> or <strong>number of posts</strong> displayed in module.</div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <label class="fw-bold">@lang('dashboard.title_posts')</label>
                                            <select class="form-select" aria-label="@lang('dashboard.title_posts')" name="post_id" {{ (null !== $module->post_id)? '':'disabled' }}>
                                                <option value="" selected>@lang('dashboard.title_choose')</option>
                                                @if(null !== $module->category_id)

                                                    @foreach ($module->category->posts as $post)
                                                        <option value="{{ $post->id }}" {{ ($module->post_id == $post->id)? 'selected':'' }}>{{ $post->title }}</option>
                                                    @endforeach

                                                @endif
                                            </select>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-auto">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <div class="form-group">
                                                <label class="fw-bold" for="formControlDefault">@lang('dashboard.title_number_of_posts')</label>
                                                <input type="text" id="formControlDefault" class="form-control" name="no_of_posts" style="width: 130px" value="{{ $module->no_of_posts }}" {{ (null !== $module->no_of_posts)? '':'disabled' }} />
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold">@lang('dashboard.title_pages')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_pages')" name="page_id">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($pages as $page)
                                            <option value="{{ $page->id }}" {{ ($module->page_id == $page->id)? 'selected':'' }}>{{ $page->title }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <hr>

                            <div class="row mb-3">
                                <div class="col">
                                    <div class="form-outline">
                                        <input type="text" id="moduleURL" class="form-control" name="module_url" placeholder="https://www...."  value="{{ $module->module_url }}" />
                                        <label class="form-label" for="moduleURL">@lang('dashboard.title_url')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="fw-bold" for="moduleTarget">@lang('dashboard.title_target')</label>
                                        <select class="form-select" aria-label="@lang('dashboard.title_target')" name="module_url_target">
                                            <option value="" selected>@lang('dashboard.title_choose')</option>
                                            <option value="_self" {{ ($module->module_url_target == '_self')? 'selected':'' }}>@lang('dashboard.title_target_self')</option>
                                            <option value="_blank" {{ ($module->module_url_target == '_blank')? 'selected':'' }}>@lang('dashboard.title_target_blank')</option>
                                        </select>
                                      </div>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="moduleImage">@lang('dashboard.title_image')</label>
                                    <input type="file" class="form-control" id="moduleImage" name="module_image"/>
                                </div>
                            </div>

                            @if($module->module_image != null)
                            <div class="row">
                                <div class="col mb-4">
                                
                                    <div class="dsplIMG">
                                        <img src="/storage/modules/{{ $module->module_image }}" class="img-fluid" title="{{ $module->title }}">
                                    </div>
                                    <div id="imgDELETE" class="btn btn-danger btn-sm mt-2" onclick="delIMG('modules','module_image',{{ $module->id }})"><i class="far fa-trash-alt"></i></div>

                                </div>
                            </div>
                            @endif

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="moduleBackImage">@lang('dashboard.title_background_image')</label>
                                    <input type="file" class="form-control" id="moduleBackImage" name="back_image"/>
                                </div>
                            </div>

                            @if($module->back_image != null)
                            <div class="row">
                                <div class="col mb-4">
                                
                                    <div class="dsplIMG">
                                        <img src="/storage/modules/{{ $module->back_image }}" class="img-fluid" title="{{ $module->title }}">
                                    </div>
                                    <div id="imgDELETE" class="btn btn-danger btn-sm mt-2" onclick="delIMG('modules','back_image',{{ $module->id }})"><i class="far fa-trash-alt"></i></div>

                                </div>
                            </div>
                            @endif

                            <color_picker
                                :data_clr = "{{ json_encode($module->back_color) }}"
                            ></color_picker>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

    <tinymce
        :data_tm = "{{ json_encode($tm) }}"
    >
    </tinymce>

@endsection