@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    <div class="row">

        <div class="col col-xl-12">

            <div class="card">

                <div class="card-header"><label  class="fw-bold m-0">@lang('dashboard.title_name'):</label> {{ $post->title }}</div>

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_excerpt'):</label>
                                        <div class="border p-1 rounded-1">{!! $post->excerpt !!}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_body'):</label>
                                        <div class="border p-1 rounded-1">{!! $post->body !!}</div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_active'):</label>
                                        <div>
                                            @if ($post->status == 1)
                                            <i class="far fa-check-circle fa-lg text-success"></i>
                                            @else
                                            <i class="far fa-times-circle fa-lg text-muted"></i>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_featured'):</label>
                                        <div>
                                            @if ($post->featured == 1)
                                            <i class="fas fa-check fa-lg text-success"></i>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_author'):</label>
                                        <div>{{ $post->author->name }} {{ $post->author->last_name }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_category'):</label>
                                        <div>{{ $post->category->name }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_slug'):</label>
                                        <div>/{{ $post->slug }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <label class="fw-bold">@lang('dashboard.title_image'):</label>
                                    @if($post->post_image != null)
                                    <div class="dsplIMG">
                                        <img src="/storage/posts/{{ $post->post_image }}" class="img-fluid" title="{{ $post->title }}">
                                    </div>
                                    @endif
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_meta_description'):</label>
                                        <div>{{ $post->meta_description }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_meta_keywords'):</label>
                                        <div>{{ $post->meta_keywords }}</div>
                                    </div>
                                </div>
                            </div>

                        </div>

                </div>

            </div>

        </div>

    </div>

@endsection