@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @include('dashboard.modal_create_group_item')
    @include('dashboard.modal_update_group_item')
    @include('dashboard.modal_export_submissions')
    @include('dashboard.modal_delete')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-12">

            <ul class="nav nav-tabs mb-3" id="ex1" role="tablist">
                @foreach ($resultGroups as $rg => $group)
    
                <li class="nav-item" role="rg_{{ $group->id }}">
                    <a
                    class="nav-link {{ ($rg == 0)? 'active':'' }}"
                    id="ex1-tab-{{ $group->id }}"
                    data-mdb-toggle="tab"
                    href="#ex1-tabs-{{ $group->id }}"
                    role="tab"
                    aria-controls="ex1-tabs-{{ $group->id }}"
                    aria-selected="true"
                    >{{ $group->title }}</a
                    >
                </li>
    
                @endforeach
            </ul>

            <div class="tab-content" id="ex1-content">
                @foreach ($resultGroups as $rg => $group)
    
                    <div
                    class="tab-pane fade {{ ($rg == 0)? 'show active':'' }}"
                    id="ex1-tabs-{{ $group->id }}"
                    role="tabpanel"
                    aria-labelledby="ex1-tab-{{ $group->id }}"
                    >
                        <div class="row">
                            <div class="col">
                                {{-- <div class="btn btn-dark btn-sm py-2" data-mdb-toggle="modal" data-mdb-target="#createGroupItemModal"><i class="far fa-plus-square mr-3"></i>@lang('dashboard.title_results')</div> --}}

                                @foreach ($weekSettings as $period)


                                @switch($rg)
                                    @case(0)

                                        @if ($period->id == 39)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}<br>

                                        @endif

                                        @if ($period->id == 40)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}

                                        @endif
                                        
                                        @break
                                    @case(1)

                                        @if ($period->id == 41)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}<br>

                                        @endif

                                        @if ($period->id == 42)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}

                                        @endif
                                        
                                        @break

                                    @case(2)

                                        @if ($period->id == 43)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}<br>

                                        @endif

                                        @if ($period->id == 44)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}<br>

                                        @endif
                                        
                                        @break

                                    @case(3)

                                        @if ($period->id == 45)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}<br>

                                        @endif

                                        @if ($period->id == 46)

                                            <strong>{{ $period->display_name }}</strong> - {{ $period->value }}<br>

                                        @endif
                                        
                                        @break

                                        
                                @endswitch


                                    
                                @endforeach

                            </div>
                            <div class="col-auto">
                                @can('resultgroup-edit')
                                <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('result-groups.edit',$group->id) }}"><i class="far fa-edit"></i></a>
                                @endcan

                                @can('resultgroup-delete')

                                    {{-- <btn_modal_delete
                                        :data_del = "{{ json_encode($group) }}"
                                        :data_route = "{{ json_encode(route('result-groups.destroy',$group->id)) }}"
                                    ></btn_modal_delete> --}}

                                @endcan
                            </div>
                        </div>

                        <div class="row mt-5">

                            <div class="col">

                                <div class="accordion" id="accordionResultItems">

                                    <table class="table table-hover table-sm">
                                        <thead>
                                            <tr>
                                                <th class="text-center">@lang('dashboard.title_rb')</th>
                                                <th class="text-center">@lang('dashboard.title_competitor')</th>
                                                <th class="text-center">@lang('dashboard.title_contact')</th>
                                                <th class="text-center">@lang('dashboard.title_no_points')</th>
                                            </tr>
                                        </thead>
                                        <tbody>

                                            @php

                                                switch ($rg) {
                                                    case 0:
                                                        $w_sd_arr = $weekSettings->where('id',39)->pluck('value');
                                                        $w_sd = $w_sd_arr[0];

                                                        $w_ed_arr = $weekSettings->where('id',40)->pluck('value');
                                                        $w_ed = $w_ed_arr[0];

                                                        break;

                                                    case 1:
                                                        $w_sd_arr = $weekSettings->where('id',41)->pluck('value');
                                                        $w_sd = $w_sd_arr[0];

                                                        $w_ed_arr = $weekSettings->where('id',42)->pluck('value');
                                                        $w_ed = $w_ed_arr[0];

                                                        break;

                                                    case 2:
                                                        $w_sd_arr = $weekSettings->where('id',43)->pluck('value');
                                                        $w_sd = $w_sd_arr[0];

                                                        $w_ed_arr = $weekSettings->where('id',44)->pluck('value');
                                                        $w_ed = $w_ed_arr[0];

                                                        break;

                                                    case 3:
                                                        $w_sd_arr = $weekSettings->where('id',45)->pluck('value');
                                                        $w_sd = $w_sd_arr[0];

                                                        $w_ed_arr = $weekSettings->where('id',46)->pluck('value');
                                                        $w_ed = $w_ed_arr[0];

                                                        break;

                                                    case 4:
                                                        $w_sd = '03.07.2023';
                                                        $w_ed = '30.07.2023';

                                                        break;
                                                    

                                                }

                                                // echo 'TAB? '.$rg.'<br>';
                                                // echo 'PERIOD? '.$w_sd.' - '.$w_ed.'<br>';

                                                $search_date_from = date('Y-m-d', strtotime($w_sd));
                                                $search_date_to = date('Y-m-d', strtotime($w_ed. ' +1 day'));

                                                // results by week
                                                $results = \App\ResultsByPoints::resultsByWeek($search_date_from,$search_date_to);

                                                $rb_1 = 1;
                                            @endphp

                                            @foreach ($results as $result)
                                            <tr>
                                                <td class="text-center">{{ $rb_1 }}</td>
                                                <td class="text-center">{{ $result->name }} {{ $result->last_name }}</td>
                                                <td>{{ $result->phone }}, {{ $result->email }}</td>
                                                <td class="text-center">{{ $result->points }}</td>
                                            </tr>

                                            @php
                                            $rb_1++;
                                            @endphp
                                            @endforeach
                                        </tbody>
                                    </table>

                                </div>

                            </div>

                        </div>

                    </div>
    
    
                @endforeach
            </div>


        </div>

    </div>

@php
// echo '<pre>';
// print_r($weekSettings);
// echo '</pre>';
@endphp
@endsection