@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-12">

            {!! Form::open(array('route' => 'settings.store','method'=>'POST','enctype'=>'multipart/form-data')) !!}

            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="key_clean" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_key_name')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="display_name" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_display_name')</label>
                                    </div>
                                </div>
                            </div>

                            {{-- <div class="row">
                                <div class="col">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="value" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_value')</label>
                                    </div>
                                </div>
                            </div> --}}

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="order" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_display_order')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="moduleTarget">@lang('dashboard.title_type')</label>
                                        <select class="form-select" aria-label="@lang('dashboard.title_type')" name="type">
                                            <option value="" selected>@lang('dashboard.title_choose')</option>
                                            @foreach ($fieldTypes as $fKEy => $field)
                                                <option value="{{ $fKEy }}">{{ $field }}</option>    
                                            @endforeach
                                        </select>
                                      </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <label class="fw-bold" for="moduleTarget">@lang('dashboard.title_group')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_group')" name="group">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($groups as $gKEy => $group)
                                            <option value="{{ $gKEy }}">{{ $group }}</option>    
                                        @endforeach
                                    </select>
                                  </div>
                                </div>
                            </div>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

@endsection