@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')
    @include('dashboard.modal_info')

    @include('submissions.search_form')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table id="submissions" class="table table-hover table-sm">
        <thead>
            <tr>
                <th class="text-center" width="60px">@lang('dashboard.title_id')</th>
                <th>@lang('dashboard.title_competitor')</th>
                <th class="text-center">@lang('dashboard.title_pfr')</th>
                {{-- <th class="text-center">@lang('dashboard.title_no_points')</th> --}}
                <th class="text-center">@lang('dashboard.title_image')</th>
                <th class="text-center">@lang('dashboard.title_status')</th>
                <th class="text-center">@lang('dashboard.title_source')</th>
                <th class="text-center">@lang('dashboard.title_applied')</th>
                <th class="text-center">@lang('dashboard.title_last_change')</th>
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($submissions as $i => $submssion)
            <tr id="row_{{ $submssion->id }}">
                <td class="text-center">{{ $submssion->id }}</td>
                <td>{{ $submssion->user->name }} {{ $submssion->user->last_name }}</td>
                <td class="text-center">{{ $submssion->bi }}</td>
                {{-- <td id="row_points" class="text-center">{{ $submssion->points }}</td> --}}
                <td class="text-center">
                    @if($submssion->image != null)
                        <a href="/storage/submissions/{{ $submssion->image }}" data-lightbox="image-{{ $submssion->id }}" data-title="Prijava BI: {{ $submssion->bi }}"><i class="far fa-image fa-2x text-dark"></i></a>
                    @endif
                </td>
                <td id="row_status" class="text-center {{ $submissionStatuses[$submssion->status] }} fw-bold">{{ $submissionStatuses[$submssion->status] }}</td>
                <td class="text-center">
                    @if($submssion->smsRequest)
                        <btn_modal_info
                            :data_submission = "{{ json_encode($submssion) }}"
                        ></btn_modal_info>
                    @else
                        <div class="">{{ $submssion->source }}</div>
                    @endif
                </td>
                <td class="text-center">{{ date('d.m.Y H:i:s', strtotime($submssion->created_at)) }}</td>
                <td class="text-center">{{ date('d.m.Y H:i:s', strtotime($submssion->updated_at)) }}</td>
                <td class="text-center">
                                
                @can('submission-edit')
                    <btn_modal_update_submission
                        :data_update = "{{ json_encode($submssion) }}"
                    ></btn_modal_update_submission>

                    @include('dashboard.modal_update_submission')
                @endcan

                @can('submission-delete')

                    <btn_modal_delete_submission
                        :data_del = "{{ json_encode($submssion) }}"
                        :data_route = "{{ json_encode(route('submissions.destroy',$submssion->id)) }}"
                    ></btn_modal_delete_submission>

                    @include('dashboard.modal_delete')

                @endcan

                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $submissions->render() !!}

@endsection