<nav id="sidebar">

    <div class="sidebar-header">
        <a class="navbar-brand" href="<?php echo e(url('/dashboard')); ?>">
            <img src="<?php echo e(asset('images/dashboard/admin-logo.svg')); ?>" alt="HP Nagradni Konkurs"> <?php echo app('translator')->get('dashboard.title_site_admin'); ?>
        </a>
    </div>

    <div class="sidebar-body">

        <ul class="list-unstyled components">

            <li>
                <a class="nav-link" href="<?php echo e(URL::to('/')); ?>"><?php echo app('translator')->get('dashboard.title_site'); ?></a>
              </li>

            <li class="hasSub">
                <a href="#contestSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle"><?php echo app('translator')->get('dashboard.title_contest'); ?></a>
                <ul class="collapse list-unstyled" id="contestSubmenu">

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('submission-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('submissions.index')); ?>"><?php echo app('translator')->get('dashboard.title_submissions'); ?></a></li>
                    <?php endif; ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('competitor-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('competitors.index')); ?>"><?php echo app('translator')->get('dashboard.title_competitors'); ?></a></li>
                    <?php endif; ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('result-list')): ?>
                    
                    <li><a class="nav-link" href="<?php echo e(route('results.index')); ?>"><?php echo app('translator')->get('dashboard.title_results'); ?></a></li>
                    <?php endif; ?>

                </ul>
            </li>

            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role-list','permission-list')): ?>
            <li class="hasSub">
                <a href="#contentSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle"><?php echo app('translator')->get('dashboard.title_content'); ?></a>
                <ul class="collapse list-unstyled" id="contentSubmenu">

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('categories.index')); ?>"><?php echo app('translator')->get('dashboard.title_categories'); ?></a></li>
                    <?php endif; ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('post-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('posts.index')); ?>"><?php echo app('translator')->get('dashboard.title_posts'); ?></a></li>
                    <?php endif; ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('page-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('pages.index')); ?>"><?php echo app('translator')->get('dashboard.title_pages'); ?></a></li>
                    <?php endif; ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('module-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('modules.index')); ?>"><?php echo app('translator')->get('dashboard.title_modules'); ?></a></li>
                    <?php endif; ?>

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('themeposition-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('theme-positions.index')); ?>"><?php echo app('translator')->get('dashboard.title_theme_positions'); ?></a></li>
                    <?php endif; ?>

                </ul>
            </li>
            <?php endif; ?>

            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role-list','permission-list')): ?>
            <li class="hasSub">
                <a href="#accessSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle"><?php echo app('translator')->get('dashboard.title_access'); ?></a>
                <ul class="collapse list-unstyled" id="accessSubmenu">
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('roles.index')); ?>"><?php echo app('translator')->get('dashboard.title_roles'); ?></a></li>
                    <?php endif; ?>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('permission-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('permissions.index')); ?>"><?php echo app('translator')->get('dashboard.title_permission'); ?></a></li>
                    <?php endif; ?>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-list')): ?>
                    <li><a class="nav-link" href="<?php echo e(route('users.index')); ?>"><?php echo app('translator')->get('dashboard.title_users'); ?></a></li>
                <?php endif; ?>
                </ul>
            </li>
            <?php endif; ?>

            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('application-edit')): ?>
                <li>
                  <a class="nav-link" href="<?php echo e(route('app.index')); ?>"><?php echo app('translator')->get('dashboard.title_application'); ?></a>
                </li>
            <?php endif; ?>

            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('settings-list')): ?>
                <li>
                  <a class="nav-link" href="<?php echo e(route('settings.index')); ?>"><?php echo app('translator')->get('dashboard.title_settings'); ?></a>
                </li>
            <?php endif; ?>
            <li>
                <a class="nav-link" href="<?php echo e(route('logout')); ?>"
                    onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();">
                    <?php echo e(__('Logout')); ?>

                </a>
                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                    <?php echo csrf_field(); ?>
                </form>
            </li>
        </ul>
    </div>
</nav><?php /**PATH C:\wamp64\www\nagradnaigradove.rs_10.2024\resources\views/includes/navigation/dashboard.blade.php ENDPATH**/ ?>