<?php $__env->startSection('contentDashboard'); ?>

    <?php echo $__env->make('dashboard.page_header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger">
            <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <div class="row">

        <div class="col col-xl-12">

            <?php echo Form::model($post, ['method' => 'PATCH','route' => ['posts.update', $post->id],'enctype'=>'multipart/form-data']); ?>


            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="title" onBlur="convertToSlug('title')" value="<?php echo e($post->title); ?>" />
                                        <label class="form-label" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_title'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_excerpt'); ?>:</label>
                                        <textarea id="excerpt" name="excerpt"><?php echo $post->excerpt; ?></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_body'); ?>:</label>
                                        <textarea id="body" name="body"><?php echo $post->body; ?></textarea>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">

                            <div class="row">
                                <div class="col-lg-4">

                                    <div class="row">
                                        <div class="col mb-4 ml-4">
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" role="switch" id="postStatus" name="status" value="1" <?php echo e(($post->status == 1)? 'checked':''); ?> />
                                                <label class="form-check-label" for="postStatus"><?php echo app('translator')->get('dashboard.title_status'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-lg-4">

                                    <div class="row">
                                        <div class="col mb-4 ml-4">
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" role="switch" id="postFeatured" name="featured" value="1" <?php echo e(($post->featured == 1)? 'checked':''); ?> />
                                                <label class="form-check-label" for="postFeatured"><?php echo app('translator')->get('dashboard.title_featured'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <div class="col-lg-4">

                                    <div class="row">
                                        <div class="col">
                                            <label class="fw-bold mr-1"><?php echo app('translator')->get('dashboard.title_author'); ?>:</label><?php echo e($post->author->name); ?> <?php echo e($post->author->last_name); ?>

                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="slug" value="<?php echo e($post->slug); ?>" />
                                        <label class="form-label" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_slug'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            <?php
                                $categoryDATA->parent_id = $post->category_id;
                            ?>
                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_category'); ?></label>
                                    <select class="form-select" aria-label="Parent Category" name="category_id">
                                        <option value="" selected><?php echo app('translator')->get('dashboard.title_choose'); ?></option>
                                        <?php $__currentLoopData = $categories_SEL; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($category->parent_id == null): ?>
                                            <option value="<?php echo e($category->id); ?>" <?php echo e(($category['active'] == '0')? 'disabled':''); ?> <?php echo e(($categoryDATA->parent_id == $category->id )? 'selected':''); ?>><?php echo e($category->name); ?></option>
                                            <?php endif; ?>
                                            <?php $__currentLoopData = $category->childrenCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $childCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php echo $__env->make(
                                                    'categories.child_category',
                                                    [
                                                        'child_category' => $childCategory,
                                                        'parent_url' => $category->slug,
                                                        'before' => '-',
                                                        'selected_cat' => $categoriesForAttribute
                                                    ]
                                                    , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                      </select>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="postImage"><?php echo app('translator')->get('dashboard.title_image'); ?></label>
                                    <input type="file" class="form-control" id="postImage" name="post_image"/>
                                </div>
                            </div>

                            <?php if($post->post_image != null): ?>
                            <div class="row">
                                <div class="col mb-4">
                                
                                    <div class="dsplIMG">
                                        <img src="/storage/posts/<?php echo e($post->post_image); ?>" class="img-fluid" title="<?php echo e($post->title); ?>">
                                    </div>
                                    <div id="imgDELETE" class="btn btn-danger btn-sm mt-2" onclick="delIMG('posts','post_image',<?php echo e($post->id); ?>)"><i class="far fa-trash-alt"></i></div>

                                </div>
                            </div>
                            <?php endif; ?>

                            <hr>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="metaDesc"><?php echo app('translator')->get('dashboard.title_meta_description'); ?></label>
                                        <textarea class="form-control rounded-0" id="metaDesc" rows="5" name="meta_description"><?php echo e($post->meta_description); ?></textarea>
                                      </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="metaDesc"><?php echo app('translator')->get('dashboard.title_meta_keywords'); ?></label>
                                        <textarea class="form-control rounded-0" id="metaDesc" rows="5" name="meta_keywords"><?php echo e($post->meta_keywords); ?></textarea>
                                      </div>
                                </div>
                            </div>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6"><?php echo app('translator')->get('dashboard.btn_submit'); ?></button>
                        </div>
                    </div>

                </div>

            </div>

            <?php echo Form::close(); ?>


        </div>

    </div>

    <tinymce
        :data_tm = "<?php echo e(json_encode($tm)); ?>"
    >
    </tinymce>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\nagradnaigradove.rs_10.2024\resources\views/posts/edit.blade.php ENDPATH**/ ?>