<?php $__env->startSection('contentDashboard'); ?>

    <?php echo $__env->make('dashboard.page_header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger">
            <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <div class="row">

        <div class="col col-xl-12">

            <?php echo Form::open(array('route' => 'modules.store','method'=>'POST','enctype'=>'multipart/form-data')); ?>


            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control required" name="title" />
                                        <label class="form-label" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_title'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_body'); ?>:</label>
                                        <textarea id="body" name="body"></textarea>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">

                            <div class="row">
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4 ml-4">
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" role="switch" id="postStatus" name="status" value="1" />
                                                <label class="form-check-label" for="postStatus"><?php echo app('translator')->get('dashboard.title_status'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <div class="form-outline">
                                                <input type="text" id="formControlDefault" class="form-control" name="module_order" />
                                                <label class="form-label" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_display_order'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold required"><?php echo app('translator')->get('dashboard.title_theme_positions'); ?></label>
                                    <select class="form-select" aria-label="<?php echo app('translator')->get('dashboard.title_theme_positions'); ?>" name="theme_position_id">
                                        <option value="" selected><?php echo app('translator')->get('dashboard.title_choose'); ?></option>
                                        <?php $__currentLoopData = $themePositions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $position): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($position->id); ?>"><?php echo e($position->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="moduleANCHOR" class="form-control" name="module_anchor" placeholder="enter value without #"  value="" />
                                        <label class="form-label" for="moduleANCHOR"><?php echo app('translator')->get('dashboard.title_module_anchor'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_categories'); ?></label>
                                    <select class="form-select" aria-label="<?php echo app('translator')->get('dashboard.title_categories'); ?>" name="category_id" onchange="getPostsForCat()">
                                        <option value="" selected><?php echo app('translator')->get('dashboard.title_choose'); ?></option>
                                        <?php $__currentLoopData = $categories_SEL; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($category->parent_id == null): ?>
                                            <option value="<?php echo e($category->id); ?>" <?php echo e(($category['active'] == '0')? 'disabled':''); ?>><?php echo e($category->name); ?></option>
                                            <?php endif; ?>
                                            <?php $__currentLoopData = $category->childrenCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $childCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php echo $__env->make(
                                                    'categories.child_category',
                                                    [
                                                        'child_category' => $childCategory,
                                                        'parent_url' => $category->slug,
                                                        'before' => '-',
                                                        'selected_cat' => $categoriesForAttribute
                                                    ]
                                                    , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <div class="form-helper">* Choose specific <strong>post</strong> or <strong>number of posts</strong> displayed in module.</div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_posts'); ?></label>
                                            <select class="form-select" aria-label="<?php echo app('translator')->get('dashboard.title_posts'); ?>" name="post_id" disabled>
                                                <option value="" selected><?php echo app('translator')->get('dashboard.title_choose'); ?></option>
                                            </select>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-auto">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <div class="form-group">
                                                <label class="fw-bold" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_number_of_posts'); ?></label>
                                                <input type="text" id="formControlDefault" class="form-control" name="no_of_posts" style="width: 130px" disabled />
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_pages'); ?></label>
                                    <select class="form-select" aria-label="<?php echo app('translator')->get('dashboard.title_pages'); ?>" name="page_id">
                                        <option value="" selected><?php echo app('translator')->get('dashboard.title_choose'); ?></option>
                                        <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($page->id); ?>"><?php echo e($page->title); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <hr>

                            <div class="row mb-3">
                                <div class="col">
                                    <div class="form-outline">
                                        <input type="text" id="moduleURL" class="form-control" name="module_url" placeholder="https://www...." />
                                        <label class="form-label" for="moduleURL"><?php echo app('translator')->get('dashboard.title_url'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="fw-bold" for="moduleTarget"><?php echo app('translator')->get('dashboard.title_target'); ?></label>
                                        <select class="form-select" aria-label="<?php echo app('translator')->get('dashboard.title_target'); ?>" name="module_url_target">
                                            <option value="" selected><?php echo app('translator')->get('dashboard.title_choose'); ?></option>
                                            <option value="_self"><?php echo app('translator')->get('dashboard.title_target_self'); ?></option>
                                            <option value="_blank"><?php echo app('translator')->get('dashboard.title_target_blank'); ?></option>
                                        </select>
                                      </div>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="moduleImage"><?php echo app('translator')->get('dashboard.title_image'); ?></label>
                                    <input type="file" class="form-control" id="moduleImage" name="module_image"/>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="moduleBackImage"><?php echo app('translator')->get('dashboard.title_background_image'); ?></label>
                                    <input type="file" class="form-control" id="moduleBackImage" name="back_image"/>
                                </div>
                            </div>

                            <color_picker></color_picker>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6"><?php echo app('translator')->get('dashboard.btn_submit'); ?></button>
                        </div>
                    </div>

                </div>

            </div>

            <?php echo Form::close(); ?>


        </div>

    </div>

    <tinymce
        :data_tm = "<?php echo e(json_encode($tm)); ?>"
    >
    </tinymce>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\nagradnaigradove.rs_10.2024\resources\views/modules/create.blade.php ENDPATH**/ ?>